import 'package:conduit_open_api_fork/v3.dart';
import 'package:recase/recase.dart';

class Operation {
  late final String _folderName;

  late final String _methodType;

  final APIOperation operation;

  Operation({
    required this.operation,
    required String folderName,
    required String methodType,
  }) {
    _folderName = folderName;
    _methodType = methodType;
  }

  String get prefixSnakeCase => "${_methodType}_$_folderName";

  String get prefixCamelCase => prefixSnakeCase.camelCase;

  String get prefixPascalCase => prefixSnakeCase.pascalCase;
}
