import 'package:bloc/bloc.dart';
import 'package:freezed_annotation/freezed_annotation.dart';

part '{{#snakeCase}}{{bloc_name}}{{/snakeCase}}_state.dart';
part '{{#snakeCase}}{{bloc_name}}{{/snakeCase}}_event.dart';
part '{{#snakeCase}}{{bloc_name}}{{/snakeCase}}_bloc.freezed.dart';

class {{#pascalCase}}{{bloc_name}}{{/pascalCase}}Bloc extends Bloc<{{#pascalCase}}{{bloc_name}}{{/pascalCase}}Event, {{#pascalCase}}{{bloc_name}}{{/pascalCase}}State> {

  {{#pascalCase}}{{bloc_name}}{{/pascalCase}}Bloc() : super(const {{#pascalCase}}{{bloc_name}}{{/pascalCase}}State.initial()) {
    on<Get{{#pascalCase}}{{bloc_name}}{{/pascalCase}}>((event, emit) async {
      await get{{#pascalCase}}{{bloc_name}}{{/pascalCase}}(emit);
    });
  }

  /// Получить {{#pascalCase}}{{bloc_name}}{{/pascalCase}}
  Future<void> get{{#pascalCase}}{{bloc_name}}{{/pascalCase}}(Emitter<{{#pascalCase}}{{bloc_name}}{{/pascalCase}}State> emit) async {
    emit(const {{#pascalCase}}{{bloc_name}}{{/pascalCase}}Loading());
    final response = await _repository.get{{#pascalCase}}{{bloc_name}}{{/pascalCase}}();
    if (response.isRight) {
      emit({{#pascalCase}}{{bloc_name}}{{/pascalCase}}Success(response.right));
    } else {
      emit({{#pascalCase}}{{bloc_name}}{{/pascalCase}}Error(response.left.errors ?? []));
    }
  }
}
