import 'package:dio/dio.dart';
import 'package:retrofit/retrofit.dart';
import 'package:{{#snakeCase}}{{project_name}}{{/snakeCase}}/models/api/success_item_response.dart';

part 'sample_api_client.g.dart';

@RestApi()
abstract class ISampleApiClient {
  factory ISampleApiClient(Dio dio, {String baseUrl}) = _ISampleApiClient;

  /// sample
  @POST("/get_sample")
  Future<SuccessItemResponse> getSamples();
}

/// Апи-клиент приложения для account-раздела
class SampleApiClient extends _ISampleApiClient {
  SampleApiClient(Dio dio, String baseUrl) : super(dio, baseUrl: baseUrl + "/sample/");
}
